Index: LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/replay1d.F90	(revision 4368)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/replay1d.F90	(revision 4368)
@@ -0,0 +1,159 @@
+PROGRAM rejouer
+
+USE mod_const_mpi, ONLY: comm_lmdz
+USE inigeomphy_mod, ONLY: inigeomphy
+USE comvert_mod, ONLY: presnivs
+USE comvert_mod, only :  preff, pa
+USE ioipsl, only: getin
+
+
+
+
+      implicit none
+#include "dimensions.h"
+
+real :: airefi
+real :: zcufi    = 1.
+real :: zcvfi    = 1.
+real :: rlat_rad(1),rlon_rad(1)
+
+integer ntime
+integer jour0,mois0,an0,day_step,anneeref,dayref
+integer klev,klon
+CHARACTER (len=10) :: calend
+CHARACTER(len=20) :: calendrier
+
+
+!---------------------------------------------------------------------
+! L'appel a inigeomphy n'est utile que pour avoir getin_p dans 
+! les initialisations
+!---------------------------------------------------------------------
+  zcufi=1.
+  zcvfi=1.
+  rlat_rad(1)=0.
+  rlon_rad(1)=0.
+
+preff=101325.
+!preff=100000.
+pa=50000.
+  CALL disvert()
+  CALL inigeomphy(1,1,llm, &
+               1, comm_lmdz, &
+           (/rlat_rad(1),0./),(/0./), &
+           (/0.,0./),(/rlon_rad(1),0./),  &
+           (/ (/airefi,0./),(/0.,0./) /), &
+           (/zcufi,0.,0.,0./), &
+           (/zcvfi,0./))
+
+CALL suphel
+!ntime=4320
+ntime=10000000
+dayref=1
+anneeref=2000
+call getin('dayref',dayref)
+call getin('anneeref',anneeref)
+call getin('calend',calend)
+call getin('day_step',day_step)
+calendrier=calend
+if ( calendrier == "earth_360d" ) calendrier="360_day"
+
+
+jour0=dayref
+mois0=(jour0-1)/30+1
+jour0=jour0-30*((jour0-1)/30)
+an0=anneeref
+
+!print*,"REPLAY1D jour0,mois0,an0",jour0,mois0,an0
+
+
+klon=1
+klev=llm
+call iotd_ini('phys.nc',1,1,klev,0.,0.,presnivs,jour0,mois0,an0,0.,86400./day_step,calendrier)
+! Consistent with ... CALL iophys_ini(600.)
+
+!---------------------------------------------------------------------
+! Initialisation de la parametrisation
+!---------------------------------------------------------------------
+call get_ini_module
+
+!---------------------------------------------------------------------
+! Boucle en temps sur l'appel à la parametrisation
+!---------------------------------------------------------------------
+call call_param_replay(klon,klev)
+
+end
+
+!---------------------------------------------------------------------
+!/////////////////////////////////////////////////////////////////////
+!/////////////////////////////////////////////////////////////////////
+!     routine additionnelles utiles, prises dans 1DUTILS.h
+!/////////////////////////////////////////////////////////////////////
+!/////////////////////////////////////////////////////////////////////
+!---------------------------------------------------------------------
+
+!=======================================================================
+      SUBROUTINE abort_gcm(modname, message, ierr)
+      USE IOIPSL
+! Stops the simulation cleanly, closing files and printing various
+! comments
+!=======================================================================
+!
+!  Input: modname = name of calling program
+!         message = stuff to print
+!         ierr    = severity of situation ( = 0 normal )
+ 
+      character(len=*) modname
+      integer ierr
+      character(len=*) message
+ 
+      write(*,*) 'in abort_gcm'
+      call histclo
+      write(*,*) 'out of histclo'
+      write(*,*) 'Stopping in ', modname
+      write(*,*) 'Reason = ',message
+      call getin_dump
+!
+      if (ierr .eq. 0) then
+        write(*,*) 'Everything is cool'
+      else
+        write(*,*) 'Houston, we have a problem ', ierr
+      endif
+      STOP
+      END
+
+!=======================================================================
+      SUBROUTINE gr_dyn_fi(nfield,im,jm,ngrid,pdyn,pfi)
+      IMPLICIT NONE
+!   passage d'un champ de la grille scalaire a la grille physique
+!=======================================================================
+ 
+!-----------------------------------------------------------------------
+!   declarations:
+!   -------------
+ 
+      INTEGER im,jm,ngrid,nfield
+      REAL pdyn(im,jm,nfield)
+      REAL pfi(ngrid,nfield)
+ 
+      INTEGER j,ifield,ig
+ 
+!-----------------------------------------------------------------------
+!   calcul:
+!   -------
+ 
+      IF(ngrid.NE.2+(jm-2)*(im-1).AND.ngrid.NE.1)                          &
+     &    STOP 'probleme de dim'
+!   traitement des poles
+      CALL SCOPY(nfield,pdyn,im*jm,pfi,ngrid)
+      CALL SCOPY(nfield,pdyn(1,jm,1),im*jm,pfi(ngrid,1),ngrid)
+ 
+!   traitement des point normaux
+      DO ifield=1,nfield
+         DO j=2,jm-1
+            ig=2+(j-2)*(im-1)
+            CALL SCOPY(im-1,pdyn(1,j,ifield),1,pfi(ig,ifield),1)
+         ENDDO
+      ENDDO
+ 
+      RETURN
+      END
Index: LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/scm.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/scm.F90	(revision 4013)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/scm.F90	(revision 4368)
@@ -327,5 +327,5 @@
 !      calend = 'earth_365d'
       if (calend == 'earth_360d') then
-        call ioconf_calendar('360d')
+        call ioconf_calendar('360_day')
         write(*,*)'CALENDRIER CHOISI: Terrestre a 360 jours/an'
       else if (calend == 'earth_365d') then
@@ -393,5 +393,5 @@
       call init_dimphy1D(1,llm)
       call suphel
-      call infotrac_init 
+      call init_infotrac
 
       if (nqtot>nqmx) STOP 'Augmenter nqmx dans lmdz1d.F'
@@ -496,11 +496,4 @@
         stop 'in initialization'
       endif ! forcing_GCM2SCM
-
-      print*,'mxcalc=',mxcalc
-!     print*,'zlay=',zlay(mxcalc)
-!      print*,'play=',play(mxcalc)
-
-!! When surface temperature is forced
-      tg= tsurf ! surface T used in read_tsurf1d
 
 
@@ -654,5 +647,5 @@
         clwcon=0.
         zmax0 = 0.
-        zmea=0.
+        zmea=zsurf
         zstd=0.
         zsig=0.
@@ -815,6 +808,8 @@
 !  Geopotential :
 !---------------------------------------------------------------------
-!        phis(1)=zsurf*RG
+        phis(1)=zsurf*RG
 !        phi(1)=phis(1)+RD*temp(1)*(plev(1)-play(1))/(.5*(plev(1)+play(1)))
+
+        ! Calculate geopotential from the ground surface since phi and phis are added in physiq_mod
         phi(1)=RD*temp(1)*(plev(1)-play(1))/(.5*(plev(1)+play(1)))
 
@@ -823,5 +818,4 @@
      &    (play(l)-play(l+1))/(play(l)+play(l+1))
         enddo
-
 
 !---------------------------------------------------------------------
@@ -852,7 +846,5 @@
       d_t_adv(:)=d_t_adv(:)+d_t_vert_adv(:)
       d_q_adv(:,1)=d_q_adv(:,1)+d_q_vert_adv(:,1)
-
-      print*,'OMEGA ',w_adv(10),z_adv(10)
-
+   
    ENDIF
 
@@ -938,4 +930,6 @@
 !---------------------------------------------------------------------
 !  Nudging
+!  EV: rewrite the section to account for a time- and height-varying
+!  nudging
 !---------------------------------------------------------------------
       d_t_nudge(:) = 0.
@@ -943,13 +937,56 @@
       d_v_nudge(:) = 0.
       d_q_nudge(:,:) = 0.
+
       DO l=1,llm
-         IF ( play(l) < p_nudging_u .AND. nint(nudging_u) /= 0 ) &
+
+         IF (nudging_u .LT. 0) THEN
+              
+             d_u_nudge(l)=(u_nudg_mod_cas(l)-u(l))*invtau_u_nudg_mod_cas(l)
+       
+         ELSE
+
+             IF ( play(l) < p_nudging_u .AND. nint(nudging_u) /= 0 ) &
              & d_u_nudge(l)=(u_nudg_mod_cas(l)-u(l))/nudging_u
-         IF ( play(l) < p_nudging_v .AND. nint(nudging_v) /= 0 ) &
+
+         ENDIF 
+
+
+         IF (nudging_v .LT. 0) THEN
+              
+             d_v_nudge(l)=(v_nudg_mod_cas(l)-v(l))*invtau_v_nudg_mod_cas(l)
+       
+         ELSE
+
+
+             IF ( play(l) < p_nudging_v .AND. nint(nudging_v) /= 0 ) &
              & d_v_nudge(l)=(v_nudg_mod_cas(l)-v(l))/nudging_v
-         IF ( play(l) < p_nudging_t .AND. nint(nudging_t) /= 0 ) &
+
+         ENDIF
+
+
+         IF (nudging_t .LT. 0) THEN
+              
+             d_t_nudge(l)=(temp_nudg_mod_cas(l)-temp(l))*invtau_temp_nudg_mod_cas(l)
+       
+         ELSE
+
+
+             IF ( play(l) < p_nudging_t .AND. nint(nudging_t) /= 0 ) &
              & d_t_nudge(l)=(temp_nudg_mod_cas(l)-temp(l))/nudging_t
-         IF ( play(l) < p_nudging_qv .AND. nint(nudging_qv) /= 0 ) &
+
+          ENDIF
+
+
+         IF (nudging_qv .LT. 0) THEN
+              
+             d_q_nudge(l,1)=(qv_nudg_mod_cas(l)-q(l,1))*invtau_qv_nudg_mod_cas(l)
+       
+         ELSE
+
+             IF ( play(l) < p_nudging_qv .AND. nint(nudging_qv) /= 0 ) &
              & d_q_nudge(l,1)=(qv_nudg_mod_cas(l)-q(l,1))/nudging_qv
+
+         ENDIF
+
       ENDDO
 
@@ -957,4 +994,5 @@
 !  Optional outputs
 !---------------------------------------------------------------------
+
 #ifdef OUTPUT_PHYS_SCM
       CALL iophys_ecrit('w_adv',klev,'w_adv','K/day',w_adv)
